```@meta
CurrentModule = Krotov
```

# Krotov.jl

Julia implementation of Krotov's method for quantum optimal control

[Krotov.jl](https://github.com/JuliaQuantumControl/Krotov.jl) is a port of the [krotov Python package](https://github.com/qucontrol/krotov)

### Overview

```@contents
Pages = [
    "overview.md",
]
Depth = 1
```

### Examples

```@contents
Pages = [
    "examples/simple_state_to_state.md",
    "examples/state_to_state_rwa.md",
    "examples/rho_3states.md",
    "examples/state_to_state_parametrizations.md",
]
Depth = 1
```

### API

```@contents
Pages = [
    "api.md",
]
Depth = 1
```
